DAPS Coin V1.0.7.1 Mandatory Update

This version update is mandatory!

As we all know by now, bugs are annoying!
They pop up, annoy you and make things not function as expected.
If you think they annoy you, you can imagine what they do to developers!
 
So our dev team has been hard at work figuring out why a very annoying bug with block processing was causing nodes to get stuck on blocks.
Well, we figured it out! We found the bug, and hit it as hard as we can with our keyboards and after a lot of testing and a few swear words, it is dead!
 
Please make sure you follow the instructions to the letter as they are there to make sure you don’t struggle.
But please definitely upgrade, I am sure you are not very happy with stuck nodes and bootstrapping.
 
If your node was or is stuck on a block you may need to bootstrap again in order for it to get back on track.
 
Thanks for your patience while we figured this one out.
 

If you already have a DAPS wallet – Do not reinstall your wallet!
Doing this could completely overwrite your wallet.dat file and if that happens (even if you use the same password) your wallet will be gone!

Also, ensure you regularly backup your wallet and have your recovery phrase written down and safely stored.

Upgrade Process << READ THIS CAREFULLY

The upgrade process should be done as follows if your wallet is running:

  1. Go to the settings screen.
  2. Backup your wallet.
  3. Close your wallet.

If your wallet is closed (not running) do the following:

Search for your wallet.dat file. Copy your wallet.dat file and paste it somewhere very safe. This step is very important!!

Steps to Upgrade DAPS QT Wallet

 DO NOT REINSTALL YOUR WALLET AT ALL!!! DOING THIS COULD LOSE YOU ALL YOUR COINS 

  • Replace the dapscoin-qt application with the new one that you have downloaded (copy and paste)
  • Start the dapscoin-qt wallet.
  • Once the wallet is fully synchronised, backup your wallet immediately.

At this point you may see one 1 of several scenarios:

  1. Wallet may begin resyncing with the chain.
  2. Wallet may require a rescan of the transactions.
  3. Wallet may detect a corrupt block database and require and a resync.
  4. Wallet may start up normally.
  5. If you had staking enabled and didn’t turn it off, staking may re-enable automatically. This may cause an auto-recombine. Please be patient and let the wallet do its work. Please remember that a transaction has to be 1 hour old in order for it to mature for staking. If your wallet says “Enabling Staking…” then that is what it is doing.

In all of these circumstances including a normal startup, give the wallet time to do what it needs to.

Under NO circumstances should you force stop the wallet AT ALL. Doing this could cause more issues.

It may seem like it is not responding, but the wallet has to go through every transaction in every block including the decoys in order to determine if a transaction was indeed for you.

Missing Masternodes

Please remember that if a rescan or resync takes place, your masternodes will seem like they have disappeared. They have not gone anywhere!

What has happened is that your wallet is not yet sync’d up to the block where they were created. Please give it some time.

Supported Versions:

There are also going to be some changes to the support process.
The current supported operating systems are the following:

  1. Windows 10 64bit
  2. Windows 10 32bit
  3. Ubuntu 18.04
  4. Mac OS Mojave
  5. Raspberry Pi

What Does V1.0.7.1 Version Entail?

DAPS Coin Version v1.0.7.1

Change Log

  • Added getsupply RPC to quickly check total supply at any moment
  • Added/updated some message boxes
  • Soft Ban v1.0.4.6 wallet connections
  • Checkpoints at a few of the stuck blocks
  • Fix Check For Updates
  • Fix Incorrect Check in AcceptableInputs
  • Fix Accept Block Failed for PoA blocks because local data is not synced with other nodes
  • Various upstream changes

Win 10

We support 64bit.

 
Linux

We support Ubuntu 18.04 for Linux.

 

Mac

We support OS Mojave for Mac.

 

Win 10

We support 32-bit.

 
Other

We have more versions available but they’re unsupported.

 

Comments are closed.